package com.capgemini.framework.teamcenter.queries.saved.modelobject;

import com.capgemini.framework.teamcenter.authent.TcSession;
import com.teamcenter.soa.client.model.strong.ItemRevision;

/** Searches an ItemRevision. */
public class ItemRevisionQuery extends AbstractModelObjectQuery<ItemRevision, ItemRevisionQuery> {

    private static final String QUERY_NAME_SUFFIX = "ItemRevision";

    /**
     * Creates a request for Tc to return an ItemRevision.
     * 
     * @param session an active session
     */
    public ItemRevisionQuery(final TcSession session) {
        super(session, QUERY_NAME_SUFFIX);
    }


    @Override
    protected ItemRevisionQuery selfCast() {
        return this;
    }

}
